- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# FbxBindingTableEntry Class Reference

Search for all occurrences

## Detailed Description

A binding table entry stores a binding between a source and a destination.

Users should not instantiate this class directly, but always call FbxBindingTableBase::AddNewEntry() to create a new entry in the binding table.

Examples:

  ExportShader/main.cxx, and ImportScene/DisplayMaterial.cxx.

Definition at line 31 of file fbxbindingtableentry.h.

`#include <fbxbindingtableentry.h>`

List of all members.

## Public Member Functions
FbxBindingTableEntry & | operator= (const FbxBindingTableEntry &pEntry)
| Assignment operator.
## Protected Attributes
FbxString | mSource
FbxString | mDestination
FbxString | mSourceType
FbxString | mDestinationType
void * | mData
## Constructor and Destructor
| FbxBindingTableEntry ()
| Constructor.
| FbxBindingTableEntry (const FbxBindingTableEntry &pEntry)
| Copy constructor.
| ~FbxBindingTableEntry ()
| Destructor.
## Access
void | SetSource (const char *pSource)
| Set the source.
const char * | GetSource () const
| Retrieve the source.
void | SetDestination (const char *pDestination)
| Set the destination.
const char * | GetDestination () const
| Retrieve the destination.
void | SetEntryType (const char *pType, bool pAsSource)
| Set the source type or destination type.
const char * | GetEntryType (bool pAsSource) const
| Get the source type or destination type.
void * | GetUserDataPtr ()
| Retrieve user data pointer.
const void * | GetUserDataPtr () const
| Retrieve user data pointer.
void | SetUserDataPtr (void *pData)
| Set user data pointer.

## Constructor & Destructor Documentation

FbxBindingTableEntry | ( |  | ) |

Constructor.

FbxBindingTableEntry | ( | const FbxBindingTableEntry & | pEntry | ) |

Copy constructor.

Parameters:

  pEntry | FbxBindingTableEntry to be copied.

~FbxBindingTableEntry | ( |  | ) |

Destructor.

## Member Function Documentation

void SetSource | ( | const char * | pSource | ) |

Search for all occurrences

Set the source.

Parameters:

  pSource | The source to set.

const char* GetSource | ( |  | ) | const

Search for all occurrences

Retrieve the source.

Examples:
  ImportScene/DisplayMaterial.cxx.

void SetDestination | ( | const char * | pDestination | ) |

Search for all occurrences

Set the destination.

Parameters:

  pDestination | The destination to set.

const char* GetDestination | ( |  | ) | const

Search for all occurrences

Retrieve the destination.

void SetEntryType | ( | const char * | pType,
|  | bool | pAsSource
| ) |  |

Search for all occurrences

Set the source type or destination type.

Parameters:

  pType | The source type or destination type to set.
  pAsSource | Flag indicates source type or destination type to set.

const char* GetEntryType | ( | bool | pAsSource | ) | const

Search for all occurrences

Get the source type or destination type.

Parameters:

  pAsSource | Flag indicates source type or destination type to get.

Returns:
  Source type or destination type.

Examples:
  ImportScene/DisplayMaterial.cxx.

void* GetUserDataPtr | ( |  | ) |

Search for all occurrences

Retrieve user data pointer.

Returns:
  User data pointer.

const void* GetUserDataPtr | ( |  | ) | const

Search for all occurrences

Retrieve user data pointer.

Returns:
  User data pointer.

void SetUserDataPtr | ( | void * | pData | ) |

Search for all occurrences

Set user data pointer.

Parameters:

  pData | user data pointer.

FbxBindingTableEntry& operator= | ( | const FbxBindingTableEntry & | pEntry | ) |

Assignment operator.

Parameters:

  pEntry | FbxBindingTableEntry assigned to this one.

## Member Data Documentation

FbxString mSource `[protected]`

Search for all occurrences

Definition at line 115 of file fbxbindingtableentry.h.

FbxString mDestination `[protected]`

Search for all occurrences

Definition at line 116 of file fbxbindingtableentry.h.

FbxString mSourceType `[protected]`

Search for all occurrences

Definition at line 117 of file fbxbindingtableentry.h.

FbxString mDestinationType `[protected]`

Search for all occurrences

Definition at line 118 of file fbxbindingtableentry.h.

void* mData `[protected]`

Search for all occurrences

Definition at line 119 of file fbxbindingtableentry.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingtableentry.h

FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry
FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry FbxBindingTableEntry